---
lang: en
title: 'API docs: rest.requestwithsession'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.requestwithsession.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RequestWithSession](./rest.requestwithsession.md)

## RequestWithSession interface

extending express request type with a session field

**Signature:**

```typescript
export interface RequestWithSession extends Request 
```
**Extends:** Request

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[session](./rest.requestwithsession.session.md)


</td><td>


</td><td>

[Session](./rest.session.md)


</td><td>


</td></tr>
</tbody></table>

